Loading...
Searching...
No Matches
regularData3D.h File Reference
`#include <BALL/MATHS/vector3.h>`
`#include <BALL/SYSTEM/file.h>`
`#include <BALL/SYSTEM/binaryFileAdaptor.h>`
`#include <BALL/MATHS/common.h>`
`#include <iostream>`
`#include <fstream>`
`#include <iterator>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | BALL::TRegularData3D< ValueType >
class | BALL::TRegularData3D< ValueType >::IndexType
| The index type used to refer to a specific element in the grid (x-, y-, and z-index). More...
struct | BALL::TRegularData3D< ValueType >::BlockValueType
| The block data type for reading and writing binary data. More...

## Namespaces

namespace | BALL

## Typedefs

typedef TRegularData3D< float > | BALL::RegularData3D

## Functions

Stream I/O
template<typename ValueType>
std::ostream & | BALL::operator<< (std::ostream &os, const TRegularData3D< ValueType > &grid)
| Output operator.
template<typename ValueType>
std::istream & | BALL::operator>> (std::istream &is, TRegularData3D< ValueType > &grid)
| Input operator.